%define upstream_name VCG
%define upstream_version 0.5

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 5
Summary:        %{upstream_name} module for perl
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source:         http://www.cpan.org/modules/by-module/VCG/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(IPC::Run)
BuildArch:      noarch


%description
This module provides an interface to to the vcg graphing tool. It
supports a limited selection of options and file formats. The vcg
graphing tool homepage is currently
http://rw4.cs.uni-sb.de/users/sander/html/gsvcg1.html but is being
actively developed elsewhere. 


This module is based on Leon Brocard's GraphViz module, it tries to
provide a similar interface to offer some sense of consistency. 


VCG is now in active development and although Graph::Writer::VCG already
exists, this module provides a similar interface to graphviz and will be
more closely tied into vcg as it becomes more actively developed - see
James Micheal DuPont's announcement at
http://mail.gnome.org/archives/dia-list/2003-February/msg00029.html.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL README
%{perl_vendorlib}/VCG.pm
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.500.0-5.mga8
+ Revision: 1498107
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.500.0-4.mga7
+ Revision: 1272424
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.500.0-3.mga6
+ Revision: 1035674
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.500.0-2.mga6
+ Revision: 968413
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.500.0-1.mga6
+ Revision: 852265
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.5-16.mga5
+ Revision: 739122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-15.mga5
+ Revision: 686811
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-14.mga4
+ Revision: 515871
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5-13.mga3
+ Revision: 374636
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.5-12.mga1
+ Revision: 31425
- mageia rebuild
- imported package perl-VCG


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.5-12mdv2010.0
+ Revision: 430613
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5-11mdv2009.0
+ Revision: 242145
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-9mdv2008.0
+ Revision: 87075
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-8mdv2007.0
- Rebuild

* Tue Dec 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.5-7mdk
- Fix BuildRequires

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-6mdk
- spec cleanup
- better URL
- drop explicit require

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5-5mdk
- fix buildrequires in a backward compatible way
- %%makeinstall_std macro

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5-4mdk 
- rpmbuildupdate aware

* Wed Jan 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- fix upload

